/*
Пример использования
Получение информации о шаблонах, используемых аккаунтом

*/
#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером

terraform {
  required_providers {
    decort = {
      version = "<VERSION>"
      source  = "basis/decort/decort"
    }
  }
}


provider "decort" {
  authenticator = "oauth2"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_account_templates_list" "atl" {
  #id аккаунта
  #обязательный параметр
  #тип - число
  account_id = 11111

  #фильтр "включая удаленные шаблоны"
  #опциональный параметр
  #тип - булев тип
  #include_deleted = true

  #фильтр по id образа
  #опциональный параметр
  #тип - число
  #image_id = 1111

  #фильтр по имени
  #опциональный параметр
  #тип - строка
  #name = "test"

  #фильтр по типу
  #опциональный параметр
  #тип - строка
  #type = "linux"

  #номер страницы для отображения
  #опциональный параметр
  #тип - число
  #если не задан - выводятся все доступные данные
  #page = 2

  #размер страницы
  #опциональный параметр
  #тип - число
  #если не задан - выводятся все доступные данные
  #size = 3
}

output "test" {
  value = data.decort_account_templates_list.atl
}
