/*
Пример использования
Получение списка доступных дисков
*/
#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      version = "<VERSION>"
      source  = "basis/decort/decort"
    }
  }
}
*/


provider "decort" {
  authenticator = "oauth2"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_disk_list" "dl" {
  #фильтр по id диска
  #опциональный параметр
  #тип - число
  #by_id = 100
 
  #фильтр по имени диска
  #опциональный параметр
  #тип - строка
  #name = "data_disk"

  #фильтр по имени аккаунта
  #опциональный параметр
  #тип - строка
  #account_name = "user"

  #фильтр по максимальному размеру диска
  #опциональный параметр
  #тип - число
  #disk_max_size = 100

  #фильтр по статусу
  #опциональный параметр
  #тип - строка
  #status = "ENABLED"

  #фильтр по доступности иным пользователям
  #опциональный параметр
  #тип - булев тип
  #shared = "false"

  #id аккаунта для получения списка дисков
  #опциональный параметр 
  #тип - число
  #account_id = 11111

  #тип диска
  #опциональный параметр 
  #тип - строка
  #возможные типы: "b" - boot_disk, "d" - data_disk
  #type = "d"

  #id SEP для получения списка дисков
  #опциональный параметр 
  #тип - число
  #sep_id = 11111
  
  #фильтр по имени pool
  #опциональный параметр
  #тип - строка
  #pool_name = "test"

  #кол-во страниц для вывода
  #опицональный параметр 
  #тип - число
  #page = 1

  #размер страницы
  #опицональный параметр 
  #тип - число
  #size = 1
}

output "test" {
  value = data.decort_disk_list.dl
}
