/*
Пример использования
Получение информации о вычислительных ресурсах, использующих сеть аккаунта
*/
#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      version = "<VERSION>"
      source  = "basis/decort/decort"
    }
  }
}
*/

provider "decort" {
  authenticator = "oauth2"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_extnet_computes_list" "ecl" {
  #идентификатор аккаунта
  #обязательный параметр
  #тип - число
  account_id = 1111

  #фильтр по id ресурсной группы
  #опциональный параметр 
  #тип - число
  #rg_id = 11111

  #фильтр по id виртуальной машины
  #опциональный параметр 
  #тип - число
  #compute_id = 11111

  #кол-во страниц для вывода
  #опицональный параметр 
  #тип - число
  #page = 1

  #размер страницы
  #опицональный параметр 
  #тип - число
  #size = 1


}

output "test" {
  value = data.decort_extnet_computes_list.ecl
}
