/*
Пример использования
Получение списка доступных образов
*/
#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером

# terraform {
#   required_providers {
#     decort = {
#       version = "<VERSION>"
#       source  = "basis/decort/decort"
#     }
#   }
# }


provider "decort" {
  authenticator = "oauth2"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

resource "decort_cb_extnet" "new_extnet" {
  # Наименование внешней сети
  # Обязательный параметр
  # Тип - строка
  name = "test_extnet"

  # ID платформы
  # Обязательный параметр
  # Тип - число
  gid = 500

  # CIDR
  # Обязательный параметр
  # Тип - строка
  ipcidr = "192.168.0.0/24"

  # ID виртуальной локальной сети
  # Обязательный параметр
  # Тип - число
  vlan_id = 111

  # Список DNS адресов
  # Опциональный параметр
  # Тип - массив строк
  dns = ["8.8.8.8", "9.9.9.9"]

  # Описание
  # Опциональный параметр
  # Тип - строка
  desc = "test desc"

  # Включение/Выключение внешней сети
  # Опциональный параметр (default = true)
  # Тип - булев
  enable = true

  # Список исключенных IP адресов
  # Опциональный параметр
  # Тип - массив строк
  excluded_ips = ["192.168.0.4", "192.168.0.5"]
}
