/*
Пример использования
Получение данных о списке подключенных графических процессоров
*/
#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      version = "<VERSION>"
      source  = "basis/decort/decort"
    }
  }
}
*/
provider "decort" {
  authenticator = "oauth2"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_kvmvm_vgpu_list" "vgpu_list" {
  #id виртуальной машины
  #обязательный параметр
  #тип - число
  compute_id = 100
 
  #фильтр по id графического процессора
  #опциональный параметр
  #тип - число
  #gpu_id = 100

  #фильтр по типу графического процессора
  #опциональный параметр
  #тип - строка
  #type = "NVIDIA"

  #фильтр по статусу
  #опциональный параметр
  #тип - строка
  #status = "ENABLED"

  #фильтр "включая удаленные графические процессоры"
  #опциональный параметр
  #тип - булев тип
  #includedeleted = "false"

  #номер страницы для отображения
  #опциональный параметр
  #тип - число
  #если не задан - выводятся все доступные данные
  #page = 1

  #размер страницы
  #опциональный параметр
  #тип - число
  #если не задан - выводятся все доступные данные
  #size = 1
}

output "output" {
  value = data.decort_kvmvm_vgpu_list.vgpu_list
}
