/*
Получение stack по его id
*/

#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      version = "4.4.0"
      source  = "basis/decort/decort"
    }
  }
}
*/
provider "decort" {
  authenticator = "oauth2"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://alpha.dev.decs.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso-alpha.dev.decs.online"
  allow_unverified_ssl = true
}

data "decort_stack" "stack" {
  #обязательный параметр
  #тип - число
  #идентификатор стека
  stack_id = 2
}

output "test" {
  value = data.decort_stack.stack
}

